Bug 278815 - dashboard background settings changes stops dashboard from functioning
Summary: dashboard background settings changes stops dashboard from functioning
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-29 22:36 UTC by Bryan Cebuliak
Modified: 2011-08-02 11:31 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bryan Cebuliak 2011-07-29 22:36:24 UTC
Version:           unspecified (using KDE 4.7.0) 
OS:                Linux

Application: plasma-desktop (0.4)
KDE Platform Version: 4.7.00 (4.7.0)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-11-generic i686
Distribution: Ubuntu 11.04

-- Information about the crash:
Dashboard  was  set to "show  an independant  widget  set." Then, while attempting to  change dashboard  background,  a  crash occured in Ubuntu KDE 4.7. Also it was not   possible  to actually  change  the  dashboard   background.  This causes  a  white  background   in  Debian  KDE  4.6.5  and  loss of  dashboard   functioning. The crash can be reproduced every time.

-- Backtrace:
A useful backtrace could not be generated

Report to https://bugs.kde.org

Reproducible: Always

Steps to Reproduce:
see  description

Actual Results:  
see  description

Expected Results:  
see  description

Dashboard background  should  change when  asked,  or  option  to   change   should  be   removed.
Comment 1 Aaron J. Seigo 2011-08-02 11:31:34 UTC
Git commit 318029e65d87fd29612bc2368ae1f4353595ac61 by Aaron Seigo.
Committed on 02/08/2011 at 11:17.
Pushed by aseigo into branch 'KDE/4.7'.

prevent configuration from swapping out the containment from the DashboardView

BUG:256300
BUG:278815

M  +6    -5    plasma/desktop/shell/dashboardview.h
M  +26   -4    plasma/desktop/shell/plasmaapp.cpp

http://commits.kde.org/kde-workspace/318029e65d87fd29612bc2368ae1f4353595ac61
Comment 2 Aaron J. Seigo 2011-08-02 11:31:35 UTC
Git commit 881710d71343cd4cecb24071ac09776ba05332a9 by Aaron Seigo.
Committed on 02/08/2011 at 11:17.
Pushed by aseigo into branch 'master'.

prevent configuration from swapping out the containment from the DashboardView

BUG:256300
BUG:278815

M  +6    -5    plasma/desktop/shell/dashboardview.h
M  +26   -4    plasma/desktop/shell/plasmaapp.cpp

http://commits.kde.org/kde-workspace/881710d71343cd4cecb24071ac09776ba05332a9